#ifndef __GTK_TITLE_BAR_H__
#define __GTK_TITLE_BAR_H__


#include <gtk/gtk.h>


G_BEGIN_DECLS


#define GTK_TYPE_TITLE_BAR            (gtk_title_bar_get_type ())
#define GTK_TITLE_BAR(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK_TYPE_TITLE_BAR, GtkTitleBar))
#define GTK_TITLE_BAR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GTK_TYPE_TITLE_BAR, GtkTitleBarClass))
#define GTK_IS_TITLE_BAR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GTK_TYPE_TITLE_BAR))
#define GTK_IS_TITLE_BAR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GTK_TYPE_TITLE_BAR))
#define GTK_TITLE_BAR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), GTK_TYPE_TITLE_BAR, GtkTitleBarClass))


typedef struct _GtkTitleBar              GtkTitleBar;
typedef struct _GtkTitleBarPrivate       GtkTitleBarPrivate;
typedef struct _GtkTitleBarClass         GtkTitleBarClass;

struct _GtkTitleBar
{
  GtkContainer container;

  /*< private >*/
  GtkTitleBarPrivate *priv;
};

struct _GtkTitleBarClass
{
  GtkContainerClass parent_class;

  /* Padding for future expansion */
  void (*_gtk_reserved1) (void);
  void (*_gtk_reserved2) (void);
  void (*_gtk_reserved3) (void);
  void (*_gtk_reserved4) (void);
};


GType        gtk_title_bar_get_type   (void) G_GNUC_CONST;
GtkWidget   *gtk_title_bar_new        (const gchar *title);
void         gtk_title_bar_pack_start (GtkTitleBar *bar,
                                       GtkWidget   *child);
void         gtk_title_bar_pack_end   (GtkTitleBar *bar,
                                       GtkWidget   *child);

G_END_DECLS

#endif /* __GTK_TITLE_BAR_H__ */
